Loading...
Searching...
No Matches
FileMetaData Struct Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for FileMetaData:

## Public Attributes

uint64_t | gridSize
uint64_t | fileSize
uint64_t | nameKey
uint64_t | voxelCount
GridType | gridType
GridClass | gridClass
BBox< Vec3d > | worldBBox
CoordBBox | indexBBox
Vec3d | voxelSize
uint32_t | nameSize
uint32_t | nodeCount [4]
uint32_t | tileCount [3]
Codec | codec
uint16_t | padding
Version | version

## Member Data Documentation

## codec

Codec codec

## fileSize

uint64_t fileSize

## gridClass

GridClass gridClass

## gridSize

uint64_t gridSize

## gridType

GridType gridType

## indexBBox

CoordBBox indexBBox

## nameKey

uint64_t nameKey

## nameSize

uint32_t nameSize

## nodeCount

uint32_t nodeCount[4]

## padding

uint16_t padding

## tileCount

uint32_t tileCount[3]

## version

Version version

## voxelCount

uint64_t voxelCount

## voxelSize

Vec3d voxelSize

## worldBBox

BBox<Vec3d> worldBBox